package redisrpc

import (
	// "strconv"

	"testing"
	// "unicode/utf8"
)

func Test_SAdd(t *testing.T) {

	// reply, err := SAdd("test", "44")
	reply, err := SIsmember("test", "44")
	t.Log(reply)
	t.Log(err)

	reply, err = SRem("test", "44")

	t.Log(reply)
	t.Log(err)

}

func Test_SCard(t *testing.T) {
	res, err := SCard("test_article")

	t.Log(res)
	t.Log(err)
}

func Test_ZSet(t *testing.T) {

	Del("zset-test")
	res, err := ZAdd("zset-test", "2", "{\"keyword\":\"test\",\"id\":\"12\"}")
	t.Log("ZAdd: ", res, err)

	ress, err := ZScan("zset-test", "*test*", 10)
	t.Log("ZScan: ", ress, err)

	list, err := ZRange("zset-test", 0, 100)
	t.Log("ZRangexx: ", list, err)

	// res, err = ZIncrBy("zset-test", "2", "test")
	// t.Log("ZIncrBy: ", res, err)
}
